> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get should start should finish report pdf

> POST /projects/{projectId}/scenarios/{scenarioId}/should-start-finish-pdf



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))



### Body: application/json (object)

- **startDate** (string(date-time))

- **finishDate** (string(date-time))

- **filterId** (array[integer(int64)])

- **ganttStructure** (string)

- **groupByCollapsedIds** (array[string])

- **groupByActivityCodeTypeIds** (array[integer(int64)])

- **sortColumn** (string)

- **sortDirection** (string)

- **filterWindow** (boolean)

- **filter** (array[string])



## Responses
### 200
OK

#### Body: */* (integer(int32))
integer(int32)

[Powered by Bump.sh](https://bump.sh)
